// Copyright 2012 Leigh L. Klotz, Jr.
// Released under MIT License http://opensource.org/licenses/mit-license.php
// See LICENSE.txt

#include <Arduino.h>


//QRSS Parameters
#define QRSS_DIT_SPEED 1000

byte mark = 0;
byte space = 0;

// DFCW Parameters
#define DFCW_SPEED 3000
#define OFF 32

// Triangle pattern parameters
#define TRI_DELAY 100

// Pins
#define PWM 3
#define LED 13
#define DVM 0

// Vcc measured
//#define VCC_MV 5130
#define VCC_MV 4830

// The Message: WA5ZNU
#define MESSAGE ("**- ")

void setup() {
  Serial.begin(9600);
  pinMode(PWM, OUTPUT);		// PWM
  blink_cw(MESSAGE);
  //graph();
  mark = calibrate(128, 255, 3150);
  space = calibrate(128, 255, 2850);
}

void loop() {
  analogWrite(PWM, (mark+space)/2);
  delay(1000); 
  tri(); tri(); tri();
  analogWrite(PWM, (mark+space)/2);
  delay(1000); 
  qrss_cw(MESSAGE);
}







